public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-pkcs11/
Date: Sat, 23 Apr 2022 06:25:08 +0000 (UTC)	[thread overview]
Message-ID: <1650695103.f69fef96f229fdbe13bd54b68408060278f4d53b.juippis@gentoo> (raw)

commit:     f69fef96f229fdbe13bd54b68408060278f4d53b
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Mon Mar 28 15:21:45 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Apr 23 06:25:03 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f69fef96

app-crypt/tpm2-pkcs11: add 1.8.0

Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-pkcs11/Manifest                 |  1 +
 app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.8.0.ebuild | 61 ++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/app-crypt/tpm2-pkcs11/Manifest b/app-crypt/tpm2-pkcs11/Manifest
index b9c3a72ad07a..92062e22dd2c 100644
--- a/app-crypt/tpm2-pkcs11/Manifest
+++ b/app-crypt/tpm2-pkcs11/Manifest
@@ -1 +1,2 @@
 DIST tpm2-pkcs11-1.7.0.tar.gz 1386693 BLAKE2B bf53a76be712bda374a8d107910440bab087fdb6c34fee3c748128d471a7a84b08f887ff97c8cdfef632679dd4343cf020e9459b96553cd5feecf76e65d6e290 SHA512 eb2736a7ef00fefa91bb70cc96d94d1c7b6ce3701ab12301658b7b076d8fca93bc590c7cdba5a84934b6bd09dad252b13670804c686e76a65b03c7ef6d96427d
+DIST tpm2-pkcs11-1.8.0.tar.gz 1393977 BLAKE2B c959e9e593dde903eac4b26ac85a39d1c73bfb9b6be558d7338dae1a710eb836385b08ddca27689f0573242d40ee072fa5d6685186a50e10ea42b8679389cf92 SHA512 599feb4d888c25a3359927b1d408f9ce85ba69d8a0e7af7ae9f3736e8940ec8d5f58b3094bef3b6515c0b1810249ea98cd73dbce592cb63de3b45ff976adda80

diff --git a/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.8.0.ebuild b/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.8.0.ebuild
new file mode 100644
index 000000000000..5a58280d4e3b
--- /dev/null
+++ b/app-crypt/tpm2-pkcs11/tpm2-pkcs11-1.8.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit python-single-r1
+
+DESCRIPTION="A PKCS#11 interface for TPM2 hardware"
+HOMEPAGE="https://tpm2-software.github.io/"
+SRC_URI="https://github.com/tpm2-software/tpm2-pkcs11/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="fapi test"
+REQUIRED_USE="( ${PYTHON_REQUIRED_USE} )"
+
+# Units tests only for now
+RESTRICT="!test? ( test )"
+
+RDEPEND="${PYTHON_DEPS}
+	app-crypt/p11-kit
+	app-crypt/tpm2-abrmd
+	app-crypt/tpm2-tools[fapi?]
+	!fapi? ( app-crypt/tpm2-tss:= )
+	fapi? ( >=app-crypt/tpm2-tss-3.0.1:=[fapi] )
+	dev-db/sqlite:3
+	dev-libs/libyaml
+	dev-libs/openssl:=
+	$(python_gen_cond_dep '
+	dev-python/bcrypt[${PYTHON_USEDEP}]
+	dev-python/cryptography[${PYTHON_USEDEP}]
+	dev-python/pyasn1[${PYTHON_USEDEP}]
+	dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/tpm2-pytss[${PYTHON_USEDEP}]
+	')
+"
+
+DEPEND="test? ( dev-util/cmocka )
+	${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+	sys-devel/autoconf-archive
+	virtual/pkgconfig"
+
+src_configure() {
+	econf \
+		$(use_enable fapi) \
+		$(use_enable test unit)
+}
+
+src_install() {
+	default
+	python_domodule tools/tpm2_pkcs11
+	python_newscript tools/tpm2_ptool.py tpm2_ptool
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2022-04-23  6:25 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-23  6:25 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-09 20:49 [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-pkcs11/ Sam James
2024-05-09 20:49 Sam James
2023-02-15 14:08 Viorel Munteanu
2023-02-15 14:08 Viorel Munteanu
2023-01-24 10:01 Joonas Niilola
2022-12-24  2:59 Sam James
2022-04-23  6:25 Joonas Niilola
2021-09-28  6:17 Joonas Niilola
2021-09-28  6:17 Joonas Niilola
2021-05-19  6:48 Joonas Niilola
2021-05-19  6:48 Joonas Niilola
2021-04-25  8:00 Michał Górny
2020-11-20 11:45 Joonas Niilola
2020-11-20 11:45 Joonas Niilola
2020-10-08  6:57 Joonas Niilola
2020-09-12  8:32 Joonas Niilola
2020-09-12  8:32 Joonas Niilola
2020-09-12  8:32 Joonas Niilola
2020-08-08  9:04 Joonas Niilola
2020-08-08  9:04 Joonas Niilola
2020-07-20  9:01 Joonas Niilola
2020-07-20  9:01 Joonas Niilola
2020-05-13 13:17 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1650695103.f69fef96f229fdbe13bd54b68408060278f4d53b.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox